/**
 * Typography
 * ----------
 * Default fonts, font scale, and text colors
 */

body,
html {
	font-family: var(--text-font-stack-no-webfonts);
	-webkit-font-smoothing: subpixel-antialiased;
}

body {
	font-family: var(--text-font-stack);
}

li,
p {
	font-weight: var(--font-weight-normal);
	line-height: 1.57em;
}

span {
	font-weight: inherit;
}

a {
	cursor: pointer;
}

a:hover {
	text-decoration: underline;
}

a:active,
a:focus,
a:active:focus {
	text-decoration: underline;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	margin-top: 0.5rem;
	margin-bottom: 0.5rem;
}

h1 {
	font-size: 1.75rem;
	font-weight: var(--font-weight-semibold);
	color: var(--color-dark-grey);
}

h2 {
	font-size: 1.25rem;
	font-weight: var(--font-weight-semibold);
	color: var(--color-dark-grey);
}

h3 {
	font-size: 1.15rem;
	line-height: 1.4;
	font-weight: var(--font-weight-semibold);
	color: var(--color-blue-grey);
}

h4 {
	font-size: 1rem;
	font-weight: var(--font-weight-semibold);
	color: var(--color-blue-grey);
}

h5 {
	font-size: 0.875rem;
	font-weight: var(--font-weight-bold);
	color: var(--color-dark-grey);
}

h6 {
	font-size: 0.875rem;
	color: var(--color-dark-grey);
}

.date-time {
	font-size: 0.8125rem;
	color: var(--color-blue-grey);
}

code {
	color: var(--color-dark-grey);
	background-color: var(--color-off-white);
	border-radius: 4px;
	padding: 0.125rem 0.25rem;
}

dl,
ol,
p,
ul {
	margin-top: 0;
	margin-bottom: 2rem;
	color: var(--color-dark-grey);
}

dl dl,
dl ol,
dl ul,
ol dl,
ol ol,
ol ul,
ul dl,
ul ol,
ul ul {
	margin-bottom: 0;
}

dd {
	margin-left: 0;
}

dt {
	font-weight: var(--font-weight-bold);
}

label {
	color: var(--color-dark-grey);
}
